name: python

on: [push, pull_request]

jobs:
  python-lint:
    runs-on: ubuntu-latest
    strategy:
      matrix:
        LCG: ["LCG_99/x86_64-centos7-gcc10-opt"]
    steps:
    - uses: actions/checkout@v3
    - uses: cvmfs-contrib/github-action-cvmfs@v3
    - uses: aidasoft/run-lcg-view@v3
      with:
        release-platform: ${{ matrix.LCG }}
        run: |
          echo "RUNNING FLAKE8 CHECK"
          find . -name "*.py" -and -not -name 'ddsix.py' -exec flake8 {} +
